Skip to main content
API Schema Improvements for New API Keys The following Foundational API schema improvements will go into effect for any new API key generated after April 1 @ 16:00 UTC. Existing API keys will continue to work with no issues. These improvements are being made for a better and consistent developer experience as the GoldRush product suite continues to grow and evolve.

Current APIs

GET /v1/{chain_id}/address/{address}/balances_v2/

  • data.next_update_at → removed
  • data.items[].native_tokendata.items[].is_native_token
  • data.items[].logo_url → removed. Just use: data.items[].logo_urls
  • data.items[].nft_data → removed
  • data.items[].protocol_metadata → removed

GET /v1/pricing/historical_by_addresses_v2/{chain}/{currency}/{address}/

  • data[].logo_url → removed
  • data[].prices → removed
  • data[].items → kept as canonical response field
  • data[].items[].contract_metadata → removed

GET /v1/{chain_id}/address/{address}/transactions_v3/

  • data.items[].from_address_label → removed
  • data.items[].to_address_label → removed
  • data.items[].log_events[].sender_address_label → removed

GET /v1/{chain_id}/approvals/{address}/

  • data.items[].spenders[].spender_address_label → removed

GET /v1/{chain_id}/events/address/{contract_address}/

  • data.items[].sender_address_label → removed

GET /v1/{chain_id}/address/{address}/transfers_v2/

  • data.items[].from_address_label → removed
  • data.items[].to_address_label → removed
  • data.items[].transfers[].from_address_label → removed
  • data.items[].transfers[].to_address_label → removed
In addition, all .svg media links will be updated with a ?fm=png suffix to provide only .png media type.

Legacy APIs

GET /v1/{chain_id}/nft/{collection}/metadata/{token_id}/

  • data.items[].nft_transactions[].from_address_label → removed
  • data.items[].nft_transactions[].to_address_label → removed
  • data.items[].nft_transactions[].log_events[].sender_address_label → removed

GET /v1/{chain_id}/nft/approvals/{address}/

  • data.items[].contract_address_label → removed
  • data.items[].spenders[].spender_address_label → removed
Learn more